import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class HandlerCliente implements ActionListener
{
    // Referencia ao componente chamando o Handler
	private Component componentePai;
	// Referencia ao simulador
	private DamasCliente cliente;

    // Construtor pega o componente pai e o chamador da funo
    // para que se tenha ponteiros para os mesmos
    HandlerCliente(Component cpt, DamasCliente ref)
    {
        cliente = ref;
        componentePai = cpt;
    }

    // Identifica que tipo de interao ouve entre o usurio e o 
    // menu
	public void actionPerformed(ActionEvent e)
	{
		String comando = e.getActionCommand();

	    if (comando.equals("Sobre o Desenvolvimento"))
        {
            JOptionPane.showMessageDialog(componentePai,  
                              "Uma aplicao cliente-servidor\n" + 
                              "Damas-P2P (Damas-Peer to Peer)\n" +
                              "Disciplina de REDES II\n" +
                              "\nDesenvolvedores:\n\n" +
                              "Anderson de Rezende Rocha\n" + 
                              "Adriano Arlei de Carvalho\n" +    
                              "Antnio Galvo de Rezende\n",
                              "Sobre o Desenvolvimento",
                              JOptionPane.INFORMATION_MESSAGE);
        }
        else if (comando.equals("Novo jogo"))
        {
            cliente.jogarNovamente();
        }
        else if (comando.equals("Sair"))
		{
			try
			{
		 		ImageIcon iconeSaida = new ImageIcon("pics/iconeSaida.png");
				Object[] opcoes = {"SIM", "NO"};
                int n = JOptionPane.showOptionDialog(componentePai,
                                    "Voc tem certeza que deseja abandonar o DamasCliente?",
                                    "Confirmao de SADA",
                                    JOptionPane.YES_NO_OPTION,
                                    JOptionPane.QUESTION_MESSAGE,
                                    iconeSaida,
                                    opcoes,
                                    opcoes[0]);
                    if (n == JOptionPane.YES_OPTION) 
					{
						System.exit(0);
                    } 
					else if (n == JOptionPane.NO_OPTION){} 
			}
			catch (Exception ex)
			{
                System.out.println("Erro ao sair");
            }
			
		}
        else if(comando.equals("Limpar"))
        {
            cliente.chat.setText("");
        }
        else if(comando.equals("Sair"))
        {
            System.exit(0);
        }
        else if (e.getSource().equals(cliente.chat))
        {
            String s = e.getActionCommand();
            cliente.chat.setText("");
            cliente.enviarMensagem(s);            
            cliente.chat.setText("");            
        }
	}
}
